Get Template
curl --request GET \
--url https://api.example.com/v2/custom-table-templates/{template_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/custom-table-templates/{template_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/custom-table-templates/{template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"entity_type": "<string>",
"columns": [
{}
],
"include_totals": true,
"object": "<string>"
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}custom-table-templates
Get Template
Get a Custom Table Template
GET
/
v2
/
custom-table-templates
/
{template_id}
Get Template
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
User-facing display name for this table template.
Which data list to iterate, e.g. 'overdue_invoices', 'open_invoices'.
Ordered array of {key, header} dicts defining the table columns.
Show child attributes
Show child attributes
Whether to append a totals row summing amount/balance columns.
String representing the object's type. Objects of the same type share the same value.
